Bug 147792 - Fedora Core should include the driver for the Synaptics cPad
Fedora Core should include the driver for the Synaptics cPad
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
FC3 should support cpad devices with ...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-11 07:01 EST by Henning Schmiedehausen
Modified: 2015-01-04 17:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:43:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cpad patch for current linux kernel (999 bytes, patch)
2005-02-11 07:02 EST, Henning Schmiedehausen
no flags Details | Diff
cpad driver source (16.55 KB, application/octet-stream)
2005-02-11 07:03 EST, Henning Schmiedehausen
no flags Details
udev rules file for the cpad (526 bytes, text/plain)
2005-02-11 07:04 EST, Henning Schmiedehausen
no flags Details
cpadsymlinks script referenced in the udev rules file (466 bytes, text/plain)
2005-02-11 07:05 EST, Henning Schmiedehausen
no flags Details

  None (edit)
Description Henning Schmiedehausen 2005-02-11 07:01:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
I have a Toshiba Satellite with a Synaptics Touchpad that includes not only a third mouse button but also a programmable LC Display and the ability to generate Button 4 and 5 Events by moving along the sides of the Display. 

There is a driver for this pad available at http://www.uni-jena.de/~p1stja/linux/cpad.html, however this driver cannot be used out of the box with FC3, because the kernel (usbhid) grabs the device before the cpad module can be loaded.

The attached adds a quirks line to the kernel so that HID ignores the device and the cpad driver can be used.



Version-Release number of selected component (if applicable):
kernel-2.6.10-1.760_FC3

How reproducible:
Always

Steps to Reproduce:
Apply the patch to the current FC3 kernel, rebuild, reboot  

Actual Results:  With the RH kernel, the cpad device gets grabbed by the usbhid, making its advanced features inaccessible.

Expected Results:  With this patch, the cpad driver can expose its funcionality to the user space.

Additional info:

cpad driver is available from  http://www.uni-jena.de/~p1stja/linux/cpad.html
Comment 1 Henning Schmiedehausen 2005-02-11 07:02:00 EST
Created attachment 110962 [details]
cpad patch for current linux kernel
Comment 2 Henning Schmiedehausen 2005-02-11 07:03:01 EST
Created attachment 110963 [details]
cpad driver source
Comment 3 Henning Schmiedehausen 2005-02-11 07:04:13 EST
Created attachment 110964 [details]
udev rules file for the cpad
Comment 4 Henning Schmiedehausen 2005-02-11 07:05:12 EST
Created attachment 110965 [details]
cpadsymlinks script referenced in the udev rules file
Comment 5 Dave Jones 2005-07-15 14:16:12 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 6 Dave Jones 2005-10-02 20:43:46 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.